
Redmine - Defect #1241

Mercurial : Don't browse latest version after a 'hg push'

2008-05-15 12:35 - Frédéric Moulins

Status: Closed Start date: 2008-05-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version: 0.7.1

Description

Hello,

the Mercurial adapter use hg locate to get entries from a hg repository. However, hg locate works on the working copy and so needs

an updated working copy.

After an hg push from my local clone to the one use by redmine on a server, the working copy on the server is not updated so

changesets are fetched but can't be browsed.

A call to hg update while fetching changesets could solve this in my case because it is sort of a central repository used only for

pushing pulling and backup. But if someone use redmine on the repository he is working on, an hg update might not be the best thing

to do.

Maybe there could be an option to automatically update the working copy while fetching changesets ?

Related issues:

Related to Redmine - Patch #1199: Mercurial adapter Closed 2008-05-07

History

#1 - 2008-05-20 19:31 - Pierre Paysant-Le Roux

I proposed a patch (#1199) that improves the Mercurial adapter. It also permits to browse a repository independently of its local state. No need to

update the working directory as suggested by Frédéric. The trick is to use the -r tip option (hg locate -r tip).

#2 - 2008-05-21 11:51 - Frédéric Moulins

- Status changed from New to Resolved

I confirm latest patches from #1199 solve this issue.

#3 - 2008-05-22 16:04 - Pierre Paysant-Le Roux

I think you can stay issue open as the patch is not included in the official repository.

#4 - 2008-05-22 19:25 - Frédéric Moulins

I marked it 'Resolved' to show that a solution has been found and point to the patch, but it is not closed. It still apears in 'Open Defects'.

If the latest patch works also for you, I think it could be included.

#5 - 2008-06-07 11:20 - Jean-Philippe Lang

- Status changed from Resolved to Closed

- Resolution set to Fixed

Patch #1199 is applied in r1499.
